package com.hr.repository.jpa;

import com.hr.repository.domain.TestEntity;
import com.yy.basedevelop.common.data.BasePageResult;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;



public interface TestJpa extends JpaRepository<TestEntity, String> {


    public List<TestEntity> findByName(String name);

    public BasePageResult<TestEntity> queryMylist(@Param("id")  String id2);

    public List<TestEntity> queryMylist2(@Param("id2")  String id2);



    @Query("select t from test t where t.id = :id2")
    public List<TestEntity> queryMylist3(@Param("id2")  String id2);






}
